package com.jiuqi.util;

import java.util.Vector;

public class StringQueue extends Vector
{
    public synchronized void enq(final String x) {
        super.addElement(x);
    }
    
    public synchronized String deq() {
        if (this.empty()) {
            return null;
        }
        final String x = super.elementAt(0);
        super.removeElementAt(0);
        return x;
    }
    
    public synchronized String front() {
        if (this.empty()) {
            return null;
        }
        return super.elementAt(0);
    }
    
    public boolean empty() {
        return super.isEmpty();
    }
    
    @Override
    public synchronized void clear() {
        super.removeAllElements();
    }
    
    public int search(final Object x) {
        return super.indexOf(x);
    }
}
